Synology-SA-20:02 PPP

Publish Time: 2020-03-06 10:40:29 UTC+8

Last Updated: 2020-03-11 09:57:41 UTC+8

Severity
Important
Status
Ongoing

Abstract

A vulnerability allows remote attackers to execute arbitrary code via a susceptible version of DiskStation Manager (DSM) or Synology Router Manager (SRM).

Affected Products

Product Severity Fixed Release Availability
DSM 6.2 Important Ongoing
SkyNAS Not affected N/A
VS960HD Moderate Ongoing
SRM 1.2 Important Ongoing
VPNCenter 1.4 Not affected N/A
VPNPlusServer 1.4 Not affected N/A

Mitigation

If you need immediate assistance, please contact Synology technical support via https://account.synology.com/support.

Detail

  • CVE-2020-8597
    • Severity: Important
    • CVSS3 Base Score: 8.1
    • CVSS3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
    • eap.c in pppd in ppp 2.4.2 through 2.4.8 has an rhostname buffer overflow in the eap_request and eap_response functions.

Reference

Revision

Revision Date Description
1 2020-03-06 Initial public release.
2 2020-03-11 Modify CVE number